changeset 8742:f7007b1aaa3f

Importer-packaging: just a warning would end up with a package that really looks like VERSION.
author Tom Gottfried <tom@intevation.de>
date Thu, 07 May 2015 15:16:44 +0200
parents a3023895ee4a
children f39c080b3903
files contrib/make_flys_release/bin/make-importer-package.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/contrib/make_flys_release/bin/make-importer-package.sh	Thu May 07 09:52:56 2015 +0200
+++ b/contrib/make_flys_release/bin/make-importer-package.sh	Thu May 07 15:16:44 2015 +0200
@@ -66,8 +66,8 @@
 cd ${SOURCE_DIR}
 if [ -z "`hg tags | sed -n "/$VERSION/p"`" -a -z "`hg branches | sed -n "/$VERSION/p"`" ]
 then
-    echo "WARNING: $VERSION not found in $repo! Updating to default."
-    hg up default
+    echo "ERROR: No tag or branch $VERSION found in repository of $repo!"
+    exit 1
 else
     hg up "$VERSION"
 fi

http://dive4elements.wald.intevation.org